Create 401k plan for legal entity
Create a new 401k plan for existing provider to legal entity
Token scopes: benefits:write
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
legal_entity_id
Id from the legal entity to receive a new 401k plan
Request
This endpoint expects an object.
name
Name of the 401K plan.
start_date
Start date of the plan.
contribution_type
Type of contribution for the 401K plan.
Allowed values:
details
Object containing additional information about the 401K plan.
contribution_value
Value of the contribution if type is percent or amount.
contribution_value_for_match_rate
Array of objects containing limits and rates for match rate contribution type.
Response
Successful operation.
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error